LIRC libraries: lirc.async_client.AsyncConnection Class Reference

| LIRC libraries LinuxInfraredRemoteControl

Public Member Functions | List of all members
lirc.async_client.AsyncConnection Class Reference
Python client bindings » Classes to receive keypresses

Asynchronous read interface on top of an AbstractConnection. More...

Inheritance diagram for lirc.async_client.AsyncConnection:

## Public Member Functions
def | __init__
def | close (self)
| Clean up loop and the base connection. More...
def | readline (self)
def | __aiter__ (self)
| Return async iterator. More...
def | __anext__ (self)
def | __aenter__ (self)
def | __aexit__ (self, exc_type, exc, traceback)

## Detailed Description

Asynchronous read interface on top of an AbstractConnection.

Parameters
  - connection: Typically a lirc.RawConnection or lirc.LircdConnection.
  - loop: AbstractEventLoop, typically obtained using asyncio.get_event_loop().

Definition at line 53 of file async_client.py.

## Member Function Documentation

## § __aenter__()

def lirc.async_client.AsyncConnection.__aenter__ | ( |  | self | ) |

    Implement "async with".

Definition at line 85 of file async_client.py.

## § __aexit__()

def lirc.async_client.AsyncConnection.__aexit__ | ( |  | self,
|  |  | exc_type,
|  |  | exc,
|  |  | traceback
| ) |  |

    Implement exit from "async with".

Definition at line 89 of file async_client.py.

## § __aiter__()

def lirc.async_client.AsyncConnection.__aiter__ | ( |  | self | ) |

Return async iterator.

Definition at line 78 of file async_client.py.

## § __anext__()

def lirc.async_client.AsyncConnection.__anext__ | ( |  | self | ) |

    Implement async iterator.next().

Definition at line 81 of file async_client.py.

## § close()

def lirc.async_client.AsyncConnection.close | ( |  | self | ) |

Clean up loop and the base connection.

Definition at line 70 of file async_client.py.

## § readline()

def lirc.async_client.AsyncConnection.readline | ( |  | self,
|  |  | str
| ) |  |

    Asynchronous get next line from the connection.

Definition at line 73 of file async_client.py.

The documentation for this class was generated from the following file:

- /home/mk/tmp/lirc/python-pkg/lirc/async_client.py (ba530e4 2017-01-22 19:05:53 +0100)